### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
CapletVarianceCurve Class Reference

`#include <ql/termstructures/volatility/optionlet/capletvariancecurve.hpp>`

Inheritance diagram for CapletVarianceCurve:
[legend]

List of all members.

## Public Member Functions

| CapletVarianceCurve (const Date &referenceDate, const std::vector< Date > &dates, const std::vector< Volatility > &capletVolCurve, const DayCounter &dayCounter)
Real | minStrike () const
| the minimum strike for which the term structure can return vols
Real | maxStrike () const
| the maximum strike for which the term structure can return vols
TermStructure interface
DayCounter | dayCounter () const
| the day counter used for date/time conversion
Date | maxDate () const
| the latest date for which the curve can return values

## Protected Member Functions

boost::shared_ptr< SmileSection > | smileSectionImpl (Time t) const
| implements the actual smile calculation in derived classes
Volatility | volatilityImpl (Time t, Rate) const
| implements the actual volatility calculation in derived classes

## Detailed Description

Deprecated:
  use the StrippedOptionletAdapter of a StrippedOptionlet instance